<script type="text/javascript">
<!--
var liste = new Array();
ok=false

 function abbruch()
 {
   if(!ok&&window.document.form.einkaufsliste.value!="") cl();
 }

 function OptCl()
 {
   document.form.warenkorb.options.length = 0;
 }

 function cl()
 {
   grund = confirm("Eingabe löschen?");
   if(grund)
   {
     OptCl();
     liste.length=0;
     window.document.form.summe.value = 0;
     window.document.form.gegeben.value = "";
     window.document.form.wechsel.value = 0;
   }
   else
   {
     die();
   }
 }

 function Hinzufuegen(ArtNr,Name,V_Preis,mwst)
 {
   x=0;
   for(i=0;i<liste.length;i++)
   {
     if(liste[i][1]==ArtNr){x=i+1};
   }
   if(x!=0){liste[x-1][0]++}else
   {
     var a = new Array(5);
     a[0] = 1;
     a[1] = ArtNr;
     a[2] = Name;
     a[3] = V_Preis;
     a[4] = mwst;
     liste.push(a);
   }
   sum=0;
   for(i=0;i<liste.length;i++)
   {
     sum=sum+(liste[i][3]*100)*(liste[i][0]*100)/100;
   }
   window.document.form.summe.value = sum/100;
   OptCl();

   for(i=0;i<liste.length;i++)
   {
     leer1=" ";
     anz="1"+liste[i][0];
     if(anz.length<3){leer1=leer1.concat("  ");};
     leer2=" ";
     anz=liste[i][2];
     for(k=28;k>anz.length;k--)
     {
       leer2=leer2.concat("  ");
     }
     NeuerEintrag = leer1+liste[i][0]+"  "+liste[i][2]+leer2+liste[i][3]+" "+String.fromCharCode(8364)+"         "+liste[i][4];
     NeuerEintrag = new Option(NeuerEintrag,liste[i][1]);
     document.form.warenkorb.options[document.form.warenkorb.length] = NeuerEintrag;
   }

   window.document.form.einkaufsliste.value = liste;
 }

  function wechseln()
 {
   window.document.form.wechsel.value = (window.document.form.gegeben.value*100 - window.document.form.summe.value*100)/100;
 }
//-->
</script>
<input type="hidden" name="einkaufsliste" value="">
<table >
  <tr>
    <td><button type='button' onClick="cl()"><img src='bilder/allgemein/spacer.gif' width=72 height=10 border=0><br><b><div align="center">Löschen</div></b><img src='bilder/allgemein/spacer.gif' width=10 height=10 border=0></button></td>
    <td><button type='Submit' onClick="ok=true"><img src='bilder/allgemein/spacer.gif' width=92 height=10 border=0><br><b><div align="center">OK</div></b><img src='bilder/allgemein/spacer.gif' width=10 height=10 border=0></button></td>
  </tr>
  <tr>
    <td><b>Gesamtsumme:</b></td>
    <td><input type="Text" name="summe" value="" size="19" readonly></td>
  </tr>
    <tr>
    <td><b>Gezahlt:</b></td>
    <td><input type="Text" name="gegeben" value="" size="19" onKeyUp='wechseln()'></td>
  </tr>
    <tr>
    <td><b>Wechselgeld:</b></td>
    <td><input type="Text" name="wechsel" value="0" size="19" disabled></td>
  </tr>
</table>
<br>
<select name="warenkorb" size="21" style="width:252px"></select>


</form>